<template>
  <div class="max-w-7xl container mx-auto py-12 px-4 sm:px-6 lg:py-16 lg:px-8">
    <div>
      <div class="text-center">
        <h3>{{ productWashers }} مجله دوسوته</h3>
        <div class="flex justify-between">
          <nuxt-link to="">آخرین مطلب</nuxt-link>
          <nuxt-link to="">مشاهده همه</nuxt-link>
        </div>
      </div>
      <!-- <div class="text-right" v-if="Magazines.length > 4">
      <button
        class="pt-1 px-2 xsmall_button"
        variant="link"
        @click="$refs.magazines_carousel.next()"
        style="
          background-color: #4c9b4a;
          border: 1px solid #4c9b4a;
          border-radius: 8px;
        "
      >
        <svg
          xmlns="http://www.w3.org/2000/svg"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          width="15"
          height="29"
          viewBox="0 0 15 29"
        >
          <defs>
            <clipPath id="clip-path">
              <rect width="15" height="29" fill="none" />
            </clipPath>
          </defs>
          <g
            id="fi-rr-angle-small-left_copy_3"
            data-name="fi-rr-angle-small-left copy 3"
            clip-path="url(#clip-path)"
          >
            <g
              id="fi-rr-angle-small-left_copy_3-2"
              data-name="fi-rr-angle-small-left copy 3"
              transform="translate(15)"
            >
              <path
                id="Path"
                d="M-4.783,15.971A2.061,2.061,0,0,0-4.165,14.5a2.061,2.061,0,0,0-.619-1.471l-9.6-9.487A2.061,2.061,0,0,1-15,2.073,2.061,2.061,0,0,1-14.381.6a2.105,2.105,0,0,1,2.948,0l9.6,9.507a6.172,6.172,0,0,1,0,8.782l-9.6,9.507A2.1,2.1,0,0,1-12.9,29a2.1,2.1,0,0,1-1.485-.6A2.062,2.062,0,0,1-15,26.929a2.062,2.062,0,0,1,.619-1.471Z"
              />
            </g>
          </g>
        </svg>
      </button>
      <button
        class="pt-1 px-2 xsmall_button"
        @click="$refs.magazines_carousel.prev()"
        variant="link"
        style="border-radius: 8px"
      >
        <svg
          id="fi-rr-angle-small-left"
          xmlns="http://www.w3.org/2000/svg"
          width="15"
          height="29"
          viewBox="0 0 15 29"
        >
          <path
            id="Path"
            d="M4.783,15.971a2.058,2.058,0,0,1,0-2.941l9.6-9.487a2.058,2.058,0,0,0,0-2.941,2.105,2.105,0,0,0-2.948,0l-9.6,9.507a6.172,6.172,0,0,0,0,8.782l9.6,9.507a2.109,2.109,0,0,0,2.948,0,2.058,2.058,0,0,0,0-2.941Z"
          />
        </svg>
      </button>
    </div> -->
    </div>
    <VueSlickCarousel
      ref="magazines_carousel"
      v-bind="magazines_setting"
      v-if="Magazines.length > 0"
      class="flex"
    >
      <div v-for="magazine in Magazines" class="">
        <Slider :magazine="magazine" />
      </div>
    </VueSlickCarousel>
  </div>
</template>

<script>
import VueSlickCarousel from 'vue-slick-carousel'
import 'vue-slick-carousel/dist/vue-slick-carousel.css'
import 'vue-slick-carousel/dist/vue-slick-carousel-theme.css'
import Slider from '~/components/variants/slider.vue'
import { mapState } from 'vuex'

export default {
  name: 'IndexPage',

  // computed: {
  //   ...mapState({
  //     // myModuleEBooksList: (state) => {
  //     //   return state.eBooks.eBooksList
  //     // },
  //     productWashers: (state) => state.products.product_washers,
  //   }),
  
  data() {
    return {
      magazines_setting: {
        dots: false,
        arrows: false,
        infinite: false,
        slidesToShow: 4,
        slidesToScroll: 2,
        responsive: [
          {
            breakpoint: 1024,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
              infinite: false,
              dots: false,
              autoplay: false,
              pauseOnDotsHover: true,
              pauseOnFocus: true,
              pauseOnHover: true,
            },
          },
          {
            breakpoint: 600,
            settings: {
              slidesToShow: 2,
              slidesToScroll: 1,
              autoplay: false,
              pauseOnDotsHover: true,
              pauseOnFocus: true,
              pauseOnHover: true,
              infinite: false,
            },
          },
          {
            breakpoint: 480,
            settings: {
              slidesToShow: 1,
              slidesToScroll: 1,
              autoplay: false,
              pauseOnDotsHover: true,
              pauseOnFocus: true,
              pauseOnHover: true,
              infinite: false,
            },
          },
        ],
      },
      Magazines: [
        { src: '/131904637795166657.jpg', alt: '1' },
        { src: '/132845643576192005-7-Canned.jpg', alt: '2' },
        { src: '/132854973572756292-8-bread.jpg', alt: '3' },
        { src: '/131904637795166657.jpg', alt: '4' },
        { src: '/132854973572756292-8-bread.jpg', alt: '3' },
        { src: '/131904637795166657.jpg', alt: '4' },

        // { src: '/132936105432047854-12-sabzi.jpg', alt: '5' },
        // { src: '/132854973572756292-8-bread.jpg', alt: '6' },
        // { src: '/132845643576192005-7-Canned.jpg', alt: '7' },
        // { src: '/132854973572756292-8-bread.jpg', alt: '8' },
      ],
    }
  },
  components: { Slider },
}
</script>

<style lang="scss" scoped></style>
